GDAL

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
VRTAverageFilteredSource Class Reference
Inheritance diagram for VRTAverageFilteredSource:

## Public Member Functions
| VRTAverageFilteredSource (int nKernelSize)
virtual CPLErr | XMLInit (CPLXMLNode *psTree, const char *)
virtual CPLXMLNode * | SerializeToXML (const char *pszVRTPath)
Public Member Functions inherited from VRTKernelFilteredSource
virtual CPLErr | FilterData (int nXSize, int nYSize, GDALDataType eType, GByte *pabySrcData, GByte *pabyDstData)
CPLErr | SetKernel (int nKernelSize, double *padfCoefs)
void | SetNormalized (int)
Public Member Functions inherited from VRTFilteredSource
void | SetExtraEdgePixels (int)
void | SetFilteringDataTypesSupported (int, GDALDataType *)
virtual CPLErr | RasterIO (int nXOff, int nYOff, int nXSize, int nYSize, void *pData, int nBufXSize, int nBufYSize, GDALDataType eBufType, GSpacing nPixelSpace, GSpacing nLineSpace, GDALRasterIOExtraArg *psExtraArg)
Public Member Functions inherited from VRTComplexSource
| VRTComplexSource (const VRTComplexSource *poSrcSource, double dfXDstRatio, double dfYDstRatio)
virtual double | GetMinimum (int nXSize, int nYSize, int *pbSuccess)
virtual double | GetMaximum (int nXSize, int nYSize, int *pbSuccess)
virtual CPLErr | ComputeRasterMinMax (int nXSize, int nYSize, int bApproxOK, double *adfMinMax)
virtual CPLErr | ComputeStatistics (int nXSize, int nYSize, int bApproxOK, double *pdfMin, double *pdfMax, double *pdfMean, double *pdfStdDev, GDALProgressFunc pfnProgress, void *pProgressData)
virtual CPLErr | GetHistogram (int nXSize, int nYSize, double dfMin, double dfMax, int nBuckets, GUIntBig *panHistogram, int bIncludeOutOfRange, int bApproxOK, GDALProgressFunc pfnProgress, void *pProgressData)
virtual const char * | GetType ()
double | LookupValue (double dfInput)
void | SetLinearScaling (double dfOffset, double dfScale)
void | SetPowerScaling (double dfExponent, double dfSrcMin, double dfSrcMax, double dfDstMin, double dfDstMax)
void | SetColorTableComponent (int nComponent)
Public Member Functions inherited from VRTSimpleSource
| VRTSimpleSource (const VRTSimpleSource *poSrcSource, double dfXDstRatio, double dfYDstRatio)
void | SetSrcBand (GDALRasterBand *)
void | SetSrcMaskBand (GDALRasterBand *)
void | SetSrcWindow (double, double, double, double)
void | SetDstWindow (double, double, double, double)
void | SetNoDataValue (double dfNoDataValue)
const CPLString & | GetResampling () const
void | SetResampling (const char *pszResampling)
int | GetSrcDstWindow (int, int, int, int, int, int, double *pdfReqXOff, double *pdfReqYOff, double *pdfReqXSize, double *pdfReqYSize, int *, int *, int *, int *, int *, int *, int *, int *)
void | DstToSrc (double dfX, double dfY, double &dfXOut, double &dfYOut)
void | SrcToDst (double dfX, double dfY, double &dfXOut, double &dfYOut)
virtual void | GetFileList (char ***ppapszFileList, int *pnSize, int *pnMaxSize, CPLHashSet *hSetFiles)
virtual int | IsSimpleSource ()
GDALRasterBand * | GetBand ()
int | IsSameExceptBandNumber (VRTSimpleSource *poOtherSource)
CPLErr | DatasetRasterIO (int nXOff, int nYOff, int nXSize, int nYSize, void *pData, int nBufXSize, int nBufYSize, GDALDataType eBufType, int nBandCount, int *panBandMap, GSpacing nPixelSpace, GSpacing nLineSpace, GSpacing nBandSpace, GDALRasterIOExtraArg *psExtraArg)
void | UnsetPreservedRelativeFilenames ()
void | SetMaxValue (int nVal)

## Additional Inherited Members
Public Attributes inherited from VRTComplexSource
double * | m_padfLUTInputs
double * | m_padfLUTOutputs
int | m_nLUTItemCount
Protected Member Functions inherited from VRTComplexSource
CPLErr | RasterIOInternal (int nReqXOff, int nReqYOff, int nReqXSize, int nReqYSize, void *pData, int nOutXSize, int nOutYSize, GDALDataType eBufType, GSpacing nPixelSpace, GSpacing nLineSpace, GDALRasterIOExtraArg *psExtraArg)
Protected Member Functions inherited from VRTSimpleSource
int | NeedMaxValAdjustment () const
Protected Attributes inherited from VRTKernelFilteredSource
int | m_nKernelSize
double * | m_padfKernelCoefs
int | m_bNormalized
Protected Attributes inherited from VRTFilteredSource
int | m_nSupportedTypesCount
GDALDataType | m_aeSupportedTypes [20]
int | m_nExtraEdgePixels
Protected Attributes inherited from VRTComplexSource
VRTComplexSourceScaling | m_eScalingType
double | m_dfScaleOff
double | m_dfScaleRatio
int | m_bSrcMinMaxDefined
double | m_dfSrcMin
double | m_dfSrcMax
double | m_dfDstMin
double | m_dfDstMax
double | m_dfExponent
int | m_nColorTableComponent
Protected Attributes inherited from VRTSimpleSource
GDALRasterBand * | m_poRasterBand
GDALRasterBand * | m_poMaskBandMainBand
double | m_dfSrcXOff
double | m_dfSrcYOff
double | m_dfSrcXSize
double | m_dfSrcYSize
double | m_dfDstXOff
double | m_dfDstYOff
double | m_dfDstXSize
double | m_dfDstYSize
int | m_bNoDataSet
double | m_dfNoDataValue
CPLString | m_osResampling
int | m_nMaxValue
int | m_bRelativeToVRTOri
CPLString | m_osSourceFileNameOri

The documentation for this class was generated from the following file:

- vrtdataset.h

Generated for GDAL by 1.8.8.